> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.ordergroove.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ordergroove.com/_mcp/server.

# Retrieve placement responses with cursor-based pagination

GET https://restapi.ordergroove.com/placement_logs/responses/

Returns a paginated list of placement responses sorted with the oldest entries on top.

Reference: https://docs.ordergroove.com/reference/payment-attempt-data-api/placement-responses/retrieve-placement-responses-with-cursor-based-pagination

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: payment-attempt-data-api
  version: 1.0.0
paths:
  /placement_logs/responses/:
    get:
      operationId: retrieve-placement-responses-with-cursor-based-pagination
      summary: Retrieve placement responses with cursor-based pagination
      description: >-
        Returns a paginated list of placement responses sorted with the oldest
        entries on top.
      tags:
        - placementResponses
      parameters:
        - name: start_date
          in: query
          description: >
            Filter by entries created on or after a specific date/time. Expected
            format is `YYYY-MM-DD HH:mm:ss`
          required: false
          schema:
            type: string
            format: date-time
        - name: end_date
          in: query
          description: >
            Filter by entries created before (non-inclusive) a specific
            date/time. Expected format is `YYYY-MM-DD HH:mm:ss`
          required: false
          schema:
            type: string
            format: date-time
        - name: page_size
          in: query
          description: >
            Number of results to be retrieved in each page. Default value is 10.
            Maximum allowed is 1000.
          required: false
          schema:
            type: number
            format: double
      responses:
        '200':
          description: Successful retrieval of placement responses
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Placement
                  responses_retrievePlacementResponsesWithCursorBasedPagination_Response_200
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/RetrievePlacementResponsesWithCursorBasedPaginationRequestBadRequestError
        '401':
          description: Unauthorized request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/RetrievePlacementResponsesWithCursorBasedPaginationRequestUnauthorizedError
        '403':
          description: Forbidden request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/RetrievePlacementResponsesWithCursorBasedPaginationRequestForbiddenError
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/RetrievePlacementResponsesWithCursorBasedPaginationRequestInternalServerError
servers:
  - url: https://restapi.ordergroove.com
    description: Production server
  - url: https://staging.restapi.ordergroove.com
    description: Staging server
components:
  schemas:
    PlacementLogsResponsesGetResponsesContentApplicationJsonSchemaResultsItems:
      type: object
      properties:
        merchant:
          type: string
          description: The public ID of the merchant
        order:
          type: string
          description: The original public ID for the order
        customer:
          type: string
          description: The ID of the merchant user
        response_code:
          type: string
          description: |
            The original system response code.
            - `000`: Success
            - `140`: Payment declined
        response_message:
          type: string
          description: Description of the response or error
        response_order_id:
          type:
            - string
            - 'null'
          description: Order identifier in merchant's system, if applicable
        created:
          type: string
          format: date-time
          description: Timestamp when the response was created
      title: >-
        PlacementLogsResponsesGetResponsesContentApplicationJsonSchemaResultsItems
    Placement responses_retrievePlacementResponsesWithCursorBasedPagination_Response_200:
      type: object
      properties:
        next:
          type:
            - string
            - 'null'
          description: URL for the next page of results, or null if at the last page
        previous:
          type:
            - string
            - 'null'
          description: URL for the previous page of results, or null if at the first page
        results:
          type: array
          items:
            $ref: >-
              #/components/schemas/PlacementLogsResponsesGetResponsesContentApplicationJsonSchemaResultsItems
      title: >-
        Placement
        responses_retrievePlacementResponsesWithCursorBasedPagination_Response_200
    RetrievePlacementResponsesWithCursorBasedPaginationRequestBadRequestError:
      type: object
      properties:
        response_message:
          type: string
      title: >-
        RetrievePlacementResponsesWithCursorBasedPaginationRequestBadRequestError
    RetrievePlacementResponsesWithCursorBasedPaginationRequestUnauthorizedError:
      type: object
      properties:
        response_message:
          type: string
      title: >-
        RetrievePlacementResponsesWithCursorBasedPaginationRequestUnauthorizedError
    RetrievePlacementResponsesWithCursorBasedPaginationRequestForbiddenError:
      type: object
      properties:
        response_message:
          type: string
      title: RetrievePlacementResponsesWithCursorBasedPaginationRequestForbiddenError
    RetrievePlacementResponsesWithCursorBasedPaginationRequestInternalServerError:
      type: object
      properties:
        response_message:
          type: string
      title: >-
        RetrievePlacementResponsesWithCursorBasedPaginationRequestInternalServerError

```

## Examples



**Response**

```json
{
  "next": "https://restapi.ordergroove.com/placement_logs/responses/?cursor=cD0yMDI0LTA4LTA0KzE2JTNBNTglM0ExMi4yNDUwMDA%3D",
  "previous": "https://restapi.ordergroove.com/placement_logs/responses/?cursor=cD0yMDI0LTA4LTA0KzE2JTNBNTglM0ExMi4yNDUwMDA%3D",
  "results": [
    {
      "merchant": "asdf123",
      "order": "6fda37265d2811ef92240241a91b1780",
      "customer": "12345",
      "response_code": "140",
      "response_message": "Selected Credit Card was declined. Please enter new Credit Card and try again.",
      "response_order_id": null,
      "created": "2024-11-24 08:59:15"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://restapi.ordergroove.com/placement_logs/responses/"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://restapi.ordergroove.com/placement_logs/responses/';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://restapi.ordergroove.com/placement_logs/responses/"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://restapi.ordergroove.com/placement_logs/responses/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://restapi.ordergroove.com/placement_logs/responses/")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://restapi.ordergroove.com/placement_logs/responses/');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://restapi.ordergroove.com/placement_logs/responses/");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://restapi.ordergroove.com/placement_logs/responses/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```